package com.fms.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fms.common.annotation.Excel;
import com.fms.common.core.domain.BaseEntity;

/**
 * 机型对象 aircraft_type_t
 * 
 * @author Allen
 * @date 2024-06-09
 */
public class AircraftType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long aircraftTypeId;

    /** 系列 */
    @Excel(name = "系列")
    private Long brandId;

    /** 机型 */
    @Excel(name = "机型")
    private String aircraftTypeName;

    public void setAircraftTypeId(Long aircraftTypeId) 
    {
        this.aircraftTypeId = aircraftTypeId;
    }

    public Long getAircraftTypeId() 
    {
        return aircraftTypeId;
    }
    public void setBrandId(Long brandId) 
    {
        this.brandId = brandId;
    }

    public Long getBrandId() 
    {
        return brandId;
    }
    public void setAircraftTypeName(String aircraftTypeName) 
    {
        this.aircraftTypeName = aircraftTypeName;
    }

    public String getAircraftTypeName() 
    {
        return aircraftTypeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("aircraftTypeId", getAircraftTypeId())
            .append("brandId", getBrandId())
            .append("aircraftTypeName", getAircraftTypeName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
